=== debian/control ===
Source: mini-buildd
Section: devel
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends:
	debhelper-compat (= 12),
	dh-python,
	bash-completion,
	man-db (>= 2.5.1),
	po-debconf,
	python3 (>= 3.6),
	python3-setuptools,
	python3-sphinx (>= 1.1.3),
	python3-pygraphviz,
	help2man,
	python3-dateutil,
	python3-argcomplete (>= 0.5.4),
	python3-keyring (>= 1.6),
	python3-daemon (>= 2.0.5),
	python3-debian (>= 0.1.18~),
	python3-twisted,
	python3-pyftpdlib (>= 1.2.0),
# Supporting django 1.10, 1.11 (being careful here, newer main versions really tend to break things):
	python3-django (>= 1.10), python3-django (<< 2:2.3),
	python3-django-registration (>= 2.0.4),
# Only needed to get current system's timezone as default:
	python3-tzlocal,
# Needed for api/_contrib.py only:
	python3-bs4,
	gnupg
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
Homepage: http://mini-buildd.installiert.net/

Package: python3-mini-buildd
Section: python
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-dateutil,
	python3-argcomplete (>= 0.5.4),
	python3-keyring (>= 1.6),
	python3-debian (>= 0.1.25~),
	python3-django (>= 1.10), python3-django (<< 2:2.3),
	python3-tzlocal,
	python3-django-registration (>= 2.0.4)
Conflicts: python-mini-buildd
Replaces: python-mini-buildd
Suggests: python3-bs4
Description: minimal build daemon - Python library and user tool
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the "mini_buildd" Python package.

Package: mini-buildd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
	${misc:Depends},
	${python3:Depends},
	lsb-base (>= 3.0-6),
	python3-mini-buildd (= ${binary:Version}),
	python3-daemon (>= 2.0.5),
	python3-twisted,
	python3-pyftpdlib (>= 1.2.0),
	libjs-jquery,
	adduser,
	sudo,
	gnupg,
	dirmngr,
	reprepro (>= 5),
	debootstrap (>= 1.0.81~),
	schroot (>= 1.6.10-2~),
	schroot (<< 1.7),
	sbuild (>= 0.72),
	dpkg-dev (>= 1.17.27~),
	devscripts (>= 2.14.5~),
	lintian
Recommends:
	mini-buildd-doc,
	python3-apt
Suggests:
	debian-archive-keyring,
	ubuntu-keyring,
	haveged,
	lvm2,
	qemu-user-static,
	binfmt-support,
	btrfs-progs
Breaks:
	mini-buildd-rep (<< 1.0.0~),
	mini-buildd-bld (<< 1.0.0~)
Replaces:
	mini-buildd-rep,
	mini-buildd-bld
Description: minimal build daemon - daemon
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides the main daemon.

Package: mini-buildd-utils
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-mini-buildd (= ${binary:Version})
Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Description: minimal build daemon - utilities
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides (optional) utilities, notably mini-buildd-tool,
	a command line to access the web API.

Package: mini-buildd-doc
Section: doc
Architecture: all
Depends:
	${misc:Depends},
	${sphinxdoc:Depends}
Replaces: mini-buildd (<< 1.1.5~)
Breaks: mini-buildd (<< 1.1.5~)
Description: minimal build daemon - manual
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the HTML documentation.
