## mini-buildd 1.1.19

=== debian/changelog ===
mini-buildd (1.1.19) experimental; urgency=medium

  ** 1.1.x are _development_ releases, use for testing only. **

  Initial 2020 'catch up to sid' release:

  * [cc8d67a] Merge root_urls.py and urls.py.
  * [ac9f791] pylint: Fix four new 'unnecessary-comprehension' warnings.
  * [30c0575] pylint: Globally ignore new 'import-outside-toplevel'
    warnings.
  * [9f3fce7] pylint: Fix one new 'subprocess-run-check' warning.
  * [5c644b0] django: Use 'Etc/UTC' has (hardcoded) default time zone;
    skip all deps on tzlocal.
  * [6c8a8d2] django templates: Repl staticfiles->static; former is
    removed w/ django >=3, latter works for 1.11 as well.
  * [5ce0042] devel: Make pipclear not fail if nothing is installed itfp.
  * [432f7cc] control: Allow django 3.0.

 -- Stephan Sürken <absurd@debian.org>  Fri, 03 Jan 2020 16:23:15 +0100
