=== debian/control ===
--- 
+++ 
@@ -21,10 +21,8 @@
 	python3-twisted,
 	python3-pyftpdlib (>= 1.2.0),
 # Supporting django 1.10, 1.11 (being careful here, newer main versions really tend to break things):
-	python3-django (>= 1.10), python3-django (<< 2:2.3),
+	python3-django (>= 1.10), python3-django (<< 2:3.1),
 	python3-django-registration (>= 2.0.4),
-# Only needed to get current system's timezone as default:
-	python3-tzlocal,
 # Needed for api/_contrib.py only:
 	python3-bs4,
 	gnupg
@@ -43,8 +41,7 @@
 	python3-argcomplete (>= 0.5.4),
 	python3-keyring (>= 1.6),
 	python3-debian (>= 0.1.25~),
-	python3-django (>= 1.10), python3-django (<< 2:2.3),
-	python3-tzlocal,
+	python3-django (>= 1.10), python3-django (<< 2:3.1),
 	python3-django-registration (>= 2.0.4)
 Conflicts: python-mini-buildd
 Replaces: python-mini-buildd
