=== share/package-templates/mbd-test-cpp/debian/control ===
Source: mbd-test-cpp
Section: misc
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
# For Security Sources tests
	libssl-dev
Standards-Version: 4.1.0

Package: mbd-test-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.
