=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,sphinxdoc,bash-completion --buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	dh_auto_test
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	./devel pydoctests
endif

override_dh_fixperms:
	dh_fixperms
	chmod 440 debian/mini-buildd/etc/sudoers.d/mini-buildd-sudoers

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	python3 -m sphinx -N -bhtml ./doc/ ./build/sphinx/html/
endif
