## mini-buildd 1.9.99

=== debian/changelog ===
mini-buildd (1.9.99) experimental; urgency=medium

  More testing, more fixes, more documentation:

  * [be87836] api.py (List.iarguments): distributions: Default to all
    distributions.
  * [d238265] models/base.py: Better 'attention support'.
  * [b7ca178] daemon.py: Rather use "source" model for repository
    attention.
  * [7f5b26f] __init__.py: Add helper 'rrpes'.
  * [a746e1f] builtins.py (mbd_parse_distribution): Avoid crash/deliver hr
    error on build sources generation fail.
  * [e2c76cd] html: Merge "chroots" into "builders".
  * [d3dfa71] devel: Make MBD_PIPINSTALL conf'able via env.
  * [5953526] devel: Convert local pip helpers to "global" tooling.
  * [db322cd] devel: Embed 'profile scripts' into devel.
  * [f739669] debian/control ([Build-]Depends): Fix: Need to use epoch for
    py3-django.
  * [fef5dff] devel: Add option to skip tests via MBD_SKIP.
  * [c05974d] devel (mbd_prof_localhost_buster): Add profile for buster.
  * [e28b1d7] devel (mbd_supertestall): Update to new 'profiles'.
  * [349643e] devel: Update quickstart notes.
  * [6e672ea] builders/index.html: Move 'remake_chroots' to (remote)
    actions.
  * [536e2bd] builders/index.html: Simplify chroot table.
  * [cf789db] builders/index.html: Move status class (color) to remote
    columns only.
  * [e6662c6] builders/index.html: Simplify status column.
  * [bd692f7] builders/index.html: Simplify remote column.
  * [9f0b3d3] builders/index.html: Add 'status' to actions.
  * [d2bb83e] builders/index.html: Move chroots table into remotes table
    ("ourselves").
  * [86cc724] builders/index.html: Mv remake_chroot (all) actiion to
    chroot table.
  * [ee81760] models/base.py, html: attention: Return list, not multiline
    str.
  * [82397e6] daemon.py: attention: Rm obsoleted "chroots", make builders
    use both chroot+remotes.
  * [b65147b] repositories/index.html: Use one datatable per dist.
  * [ce92e80] builders/index.html: Show 'attention' for chroots.
  * [523ea03] builders/index.html: Show 'attention' for remotes.
  * [23ead35] models/base.py (StatusModel.Admin.colored_status): Update to
    fstrings.
  * [be9cd87] models/base.py (StatusModel.Admin.colored_status): Show
    'attention'.
  * [0d9c4be] builders/index.html: Remove extra chroots table (admin
    should suffice).
  * [720cfe6] builders/index.html: chroots: Add remake action && move jump
    to config (admin) here.
  * [5265905] builders/index.html: Fix chroot/remote attention.
  * [c3b73f2] repositories/index.html: Cosmetics, add (global)
    'attention'.
  * [a53155f] gnupg.py: Fix: Rm some leftover html fragments from help
    text.
  * [0b638f5] manual/administrator.rst: Move auth/ssh wrapper section
    down.
  * [7f98a91] Internal crontab: Remove "days_until_recheck" workaround
    (obsoleted) && add doc section. (Closes: 892837)
  * [fee9b92] testsuite-packages/installed-options: Pimp up tests: Also
    test for arch-specific options.
  * [6ab5f34] Upload Options: Add specific "nocheck" upload test, and
    document setting via DEB_BUILD_OPTIONS as example. (Closes: 875920,
    877083)
  * [74ab123] manual/*.rst: Update to more recent codenames in some
    examples.
  * [2bfbca8] manual/developer.rst: Add FAQ: Can I access built packages
    that have not been installed into the repository? (Closes: 906736)
  * [aae3b79] manual/administrator.rst: Refine wording on m-b-debug-build
    FAQ. (Closes: 796867)
  * [62f75b9] etc/schroot/mini-buildd/fstab-generic: Add note about
    special home setups. (Closes: 849544)
  * [c9642f4] devel (bash-completion): Rm obsoleted
    devel.hostname|localhost commands.
  * [ccdf795] sbuild.py (Blocks.extra_option): Fix fstring usage
    (cosmetic).
  * [9759575] sbuild.py: apt-disable-check-valid-until: Fix missing
    quoting && simplify.
  * [8578da2] models/base.py (Model.mbd_get_extra_options): Document that
    last entry wins.
  * [1bd5ee8] dist.py: setup: Update jessie+wheezy to use 'apt-disable-
    check-valid-until'.
  * [1a98f29] dist.py: setup dict: Drop "produces_ddebs", just go with
    extra_options.
  * [4afdfce] dist.py: setup dict: Add Ubuntu impish.
  * [c78263c] mini-buildd-debug-build: dpkg-source: Using '-x' not '--
    extract' to be compatible with older dpkg.
  * [ee47126] config.py, html: Cosmetic restructure of main menu.
  * [feb3087] mini_buildd.css: Pimp h1 margin and padding.
  * [7aeebe3] __init__.py (HTTPError): Fix: Remove obsoleted "detail"
    class var, and fixup several wrong usages throughout code.
  * [13dece5] events.py (Event.strerror): Better name and simplify.
  * [e071f4d] devel: Change profile system (again). Make all bash-
    complete-able.
  * [97928e0] dist.py: Remove squeeze/lenny presets.

 -- Stephan Sürken <absurd@debian.org>  Sun, 27 Mar 2022 18:57:41 +0200

mini-buildd (1.9.98) experimental; urgency=medium

  'Lost in documentation' release. Focus on in-place model documentation:

  * [1fe17a0] mini_buildd.css: Fix margin/padding handling.
  * [0fa3ed2] tags/api_arg.html: Fix: Arg header workaround not adapted to
    new triple grid.
  * [dfeb740] mini_buildd.css: Further simplify and add note for
    padding/marging.
  * [b03174c] mini_buildd.js: Add user alert on (any) js error (which
    would otherwise fail silently for most users)
  * [d86de3a] repositories/index.html: Fix typo in snapshot datatables
    (fixes js error).
  * [4ef91c1] base.html: Embed js error alert code, as 1st js code (really
    catch all errors).
  * [9cda430] base.html: Embed Clipboard.js init.
  * [58b559c] base.html: Embed js cursor setup; obsoletes mbd_init().
  * [c4984dc] base.html: Embed js functions.
  * [fe6844c] setup, html: Completely remove mini_buildd.js.
  * [b08debb] admin/base_site.html: Rather use HTML comment for CSS
    workaround note.
  * [daaa63d] models/daemon.py: "hostname": Rather use blank default
    (obsoleted).
  * [9bfa3f5] daemon.py (Daemon.get_title): Fix: Don't use obsoleted
    'hostname' field.

