=== debian/control ===
--- 
+++ 
@@ -12,24 +12,32 @@
 	python3-setuptools,
 	python3-sphinx (>= 1.1.3),
 	python3-pygraphviz,
+	man2html,
 	help2man,
-	python3-dateutil,
+	python3-dateparser,
 	python3-argcomplete (>= 0.5.4),
 	python3-keyring (>= 1.6),
 	python3-daemon (>= 2.0.5),
 	python3-debian (>= 0.1.18~),
-	python3-twisted,
+	python3-distro-info (>= 1.0~),
+	python3-twisted (>= 20),
+# needed by newer twisted (buster)
+	python3-attr (>= 19),
 	python3-pyftpdlib (>= 1.2.0),
-# Supporting django 1.10, 1.11 (being careful here, newer main versions really tend to break things):
-	python3-django (>= 1.10), python3-django (<< 2:3.1),
-	python3-django-registration (>= 2.0.4),
-# Needed for api/_contrib.py only:
+	python3-django (>= 2:2.2),
+	python3-gpg,
+	minify,
+	gnupg,
+# Needed for contrib.py only:
 	python3-bs4,
-	gnupg
+# Needed for super-portext only:
+	python3-apt
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
 Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
 Homepage: http://mini-buildd.installiert.net/
+# Need 3.6 for fstrings (PEP 498)
+X-Python3-Version: >= 3.6
 
 Package: python3-mini-buildd
 Section: python
@@ -37,12 +45,22 @@
 Depends:
 	${misc:Depends},
 	${python3:Depends},
-	python3-dateutil,
+	python3-dateparser,
 	python3-argcomplete (>= 0.5.4),
 	python3-keyring (>= 1.6),
 	python3-debian (>= 0.1.25~),
-	python3-django (>= 1.10), python3-django (<< 2:3.1),
-	python3-django-registration (>= 2.0.4)
+	python3-distro-info (>= 1.0~),
+	python3-twisted (>= 20),
+# needed by newer twisted (buster)
+	python3-attr (>= 19),
+	python3-django (>= 2:2.2),
+# Used icon theme (see ``<package>.links``):
+	numix-icon-theme,
+	python3-gpg,
+	libjs-jquery,
+	libjs-jquery-datatables,
+# This version fixes Debian bug 960859:
+	node-clipboard (>= 2.0.6+ds+~cs7.6.4-1~)
 Conflicts: python-mini-buildd
 Replaces: python-mini-buildd
 Suggests: python3-bs4
@@ -61,22 +79,22 @@
 	lsb-base (>= 3.0-6),
 	python3-mini-buildd (= ${binary:Version}),
 	python3-daemon (>= 2.0.5),
-	python3-twisted,
 	python3-pyftpdlib (>= 1.2.0),
-	libjs-jquery,
 	adduser,
 	sudo,
 	gnupg,
 	dirmngr,
 	reprepro (>= 5),
 	debootstrap (>= 1.0.81~),
-	schroot (>= 1.6.10-2~),
+	schroot (>= 1.6.10-3~),
 	schroot (<< 1.7),
 	sbuild (>= 0.72),
 	dpkg-dev (>= 1.17.27~),
-	devscripts (>= 2.14.5~),
-	lintian
+	devscripts (>= 2.14.5~)
 Recommends:
+	lintian,
+	piuparts,
+	autopkgtest,
 	mini-buildd-doc,
 	python3-apt
 Suggests:
@@ -86,7 +104,8 @@
 	lvm2,
 	qemu-user-static,
 	binfmt-support,
-	btrfs-progs
+	btrfs-progs,
+	openssl
 Breaks:
 	mini-buildd-rep (<< 1.0.0~),
 	mini-buildd-bld (<< 1.0.0~)
@@ -104,14 +123,18 @@
 Depends:
 	${misc:Depends},
 	${python3:Depends},
-	python3-mini-buildd (= ${binary:Version})
+	python3-mini-buildd (= ${binary:Version}),
+	python3-apt
+Recommends:
+# for apt-bootstrap (handy to parse json from shell generally)
+	jq
 Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
 Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
 Description: minimal build daemon - utilities
 	Mini-buildd is an easy-to-configure autobuilder and
 	repository for deb packages.
 	.
-	This package provides (optional) utilities, notably mini-buildd-tool,
+	This package provides (optional) utilities, notably mini-buildd-api,
 	a command line to access the web API.
 
 Package: mini-buildd-doc
