=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,sphinxdoc,bash-completion --buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod 440 debian/mini-buildd/etc/sudoers.d/mini-buildd-sudoers

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	sphinx-build -N -bhtml ./manual/ ./build/sphinx/html/
endif
