## mini-buildd 1.9.112

=== debian/changelog ===
mini-buildd (1.9.112) unstable; urgency=medium

  Upload to unstable:

  * Bug fix: "mini-buildd (build-)depends on cruft package.", thanks to
	  Peter Michael Green (Closes: #933751).
  * Bug fix: "Python2 removal in sid/bullseye", thanks to Matthias Klose
	  (Closes: #937049).

  Please wait for a '2.0.x release' for any production purposes. While no
  serious problem is known, some mandatory testing (&& documentation)
  is still outstanding, especially on
    - upgrades from 1.0.x
    - the new 'setup' system

  Details:

  * [cf90668] dist.py(setup): 'wheezy' needs 'apt-key-add' workaround
  * [bf3d0e1] dist.py(setup): 'wheezy' needs 'apt-urold' workaround
  * [8a646b2] builder.py,ftpd.py: Cosmetic: Update two now misleading code
    comments
  * [5f4bc16] builtins.py (Css): Add "failed" as possible sbuild status
    (color)
  * [3d837a9] builder.py: Add "Canceled-By" tag for explicit build
    cancellation (by shutdown or user)
  * [353cddb] manual/administrator.rst: Improve 'vsyscall hint'
  * [d7743d6] repository.py (Repository._mbd_package_migrate): Fix
    'migrate' when 'version' not given
  * [b4734f5] events.html: Add 'rebuild' button on 'INSTALLED'
  * [e4b9c0e] dist.py: Add Ubuntu 22.10 (kinetic)
  * [a21af05] api/source_header.html: Use same header for ls && show
  * [a96f655] api.py (Output): Add meta argument class for 'output'
  * [ce187e4] builtins.py, api.html (mbd_api): 'output': Rather use
    'Output' meta option instance than explicit HTML
  * [ff6c6ea] api.py, tags/api_arg.html: Revive HTML 'select' for Choice*
    arguments
  * [fe3b5df] tags/api_arg.html: Fix includes of "checked" and "required"
    for correct spacing
  * [918f2b4] mini_buildd.js(mbd_api_call): Code (mostly style)
    improvements
  * [c8d37ee] api.html/js(API calls): Switch "confirm" to HTML only
  * [fea4f2c] api.html/mini_buildd.js: Switch to "onsubmit/action" (drop
    extra <script> section)
  * [a119883] api/base.html: Fix missing <li> end tags
  * [53dd3c3] api/base.html: Drop page/json recall buttons (rather
    confusing && can may now be done via 'output' option)
  * [ac24ac0] html/API: Use better names for 'output' option values:
    "html", "html-snippet", "json"
  * [9aed9bc] tags/api_arg.html: Fix "required" flag in forms
  * [ad30c5c] api.py (Output): doc: Make clear that 'html-snippet' usually
    means 'js-browser-popup'
  * [2eba2c5] builtins.py (mbd_api): Put "output" on top (of optional
    options)
  * [863192c] builtins.py: Drop mbd_api_popup (fixed output to html-
    snippet: confusing, only used twice)
  * [665618b] builtins.py (mbd_api): Drop "output" option
  * [e806b8e] api.py (Output argument): Trim down to "html", "json"
    options (use "html-snippet" internally only)
  * [cb34e7c] api/base.html: Improve text for CLI/json menu items
  * [02dcd27] builtins.py (mbd_api): Drop 'title' option (not used)
  * [a0425f8] api/ls.html: Fix: Add missing 'repositories' argument
  * [79931f0] CSS/popup.html: Simplify popup (fixed position && size, no
    centering)
  * [51444ad] devel (tidy): Add test for API call 'show'
  * [6f6f4db] api/ls.html: Fix missing 'repositories' arg for 'all'
  * [dbb9c84] api/ls.html: Use section per repo
  * [7683b09] mini_buildd.css: Misc padding/margin adjustments
  * [0159b82] api/show.html: For 'show', simply put all repos into one
    table
  * [1c83a0f] mini_buildd.js: Hide popup (API results) on ESC
  * [50d78d7] mini_buildd.css: Add background classes (1-4)
  * [ac21437] api/base.html: Use bg-2 for base API header, bg-3 for
    show/ls common header
  * [3d8022c] devel(prepare-system): Add "arch-test" to list of pre-
    installed  packages
  * [294d2a1] devel (prepare-system): Add "firefox-esr" to list of
    preinstalled packages
  * [9ef7873] devel (restart): Don't run 'mbd_status' in subshell (breaks
    p-keyring password interaction on 1st run)
  * [a618cd2] debian/po/: Integrate changes from debconf-updatepo
  * [ca6b18e] debian/mini-buildd.NEWS: Move contents to manual's roadmap
    document (only hinting there)
  * [26f2fa2] devel: Fixup run-lintian helper
  * [cf4e35e] debian/mini-buildd.NEWS: Use already existing version number
  * [ae80b7a] Update lintian override info format in d/mini-
    buildd.lintian-overrides on line 2, 4.

 -- Stephan Sürken <absurd@debian.org>  Mon, 19 Dec 2022 17:58:52 +0100

mini-buildd (1.9.111) experimental; urgency=medium

  Fixes for 'internal non-native port' regression, with some severe
  internal logic/code changes; adds mechanism to retry failed buildresult
  uploads, even after service restart; misc updates against sid/unstable
  changes:

  * [5c18949] fix(clipboard.js): Update path for node-clipboard >= 2.0.11
    (&& add compat code for former path)
  * [c29ab8c] doc(roadmap.rst): Add upgrade note about customizable
    "Origin" string
  * [0d5fe72] doc[codespell 2.2.1]: Fix some new doc/comment spelling
    errors
  * [35e6de6] src/mini_buildd/sbuild.py [pylint 2.15.3]: Fix new warnings
    'consider-using-generator'
  * [a9e2fe6] *.py [pylint 2.15.3]: Fix new warnings 'used-before-
    assignment'
  * [0d3da12] src/mini_buildd/models/daemon.py [pylint 2.15.3]: Fix new
    warnings 'unnecessary-dunder-call'
  * [6c91e95] *.py [pylint 2.15.3]: Fix new warnings 'arguments-differ'
    (some classmethod/method mismatches)
  * [38e0a7f] src/mini_buildd/dist.py [pylint 2.15.3]: Drop 'no-self-use'
    disabling (now, this check is optional)
  * [a417323] devel (_codename): Add function to (heuristically) provide a
    proper codename where ``lsb_release`` now returns 'n/a'
    (testing/unstable)
  * [52e4a00] src/mini-buildd-bootstrap-apt: Add better error handling
    when ``lsb_release`` fails to determine proper codename
  * [0188bdd] devel (apt-tofu-bootstrap): Override MBD_CODENAME for ``m-b-
    bootstrap-apt`` call (fixes auto testsuite under testing/unstable)
  * [9fd571b] src/mini_buildd/cli.py (CLI.run): Error help: rather promote
    new style '--log-level', not deprecated '-vv'

