=== share/testsuite-packages/installed-port/debian/changelog ===
installed-port (1.0-1~test~SID+1) sid-test-unstable; urgency=low

  * Note: This needs to same (codenames) as in ``./devel testsuite``
  * MINI_BUILDD_OPTION: auto-ports=bookworm-test-unstable,bullseye-test-unstable

 -- Foo Bar <foo@bar.org>  Thu, 30 Oct 2022 12:01:15 +0200
