=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
 Build-Depends:
-	debhelper-compat (= 12),
+	debhelper-compat (= 13),
 	dh-python,
 	bash-completion,
 	man-db (>= 2.5.1),
@@ -16,8 +16,7 @@
 	help2man,
 	python3-dateparser,
 	python3-argcomplete (>= 0.5.4),
-	python3-keyring (>= 1.6),
-	python3-daemon (>= 2.0.5),
+	python3-keyring (>= 17),
 	python3-debian (>= 0.1.18~),
 	python3-distro-info (>= 1.0~),
 	python3-twisted (>= 20),
@@ -32,7 +31,7 @@
 	python3-bs4,
 # Needed for super-portext only:
 	python3-apt
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
 Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
 Homepage: http://mini-buildd.installiert.net/
@@ -47,7 +46,7 @@
 	${python3:Depends},
 	python3-dateparser,
 	python3-argcomplete (>= 0.5.4),
-	python3-keyring (>= 1.6),
+	python3-keyring (>= 17),
 	python3-debian (>= 0.1.25~),
 	python3-distro-info (>= 1.0~),
 	python3-twisted (>= 20),
@@ -63,7 +62,10 @@
 	node-clipboard (>= 2.0.6+ds+~cs7.6.4-1~)
 Conflicts: python-mini-buildd
 Replaces: python-mini-buildd
-Suggests: python3-bs4
+Suggests:
+	python3-bs4,
+# For API call 'debmirror'
+	debmirror
 Description: minimal build daemon - Python library and user tool
 	Mini-buildd is an easy-to-configure autobuilder and
 	repository for deb packages.
@@ -78,14 +80,16 @@
 	${python3:Depends},
 	lsb-base (>= 3.0-6),
 	python3-mini-buildd (= ${binary:Version}),
-	python3-daemon (>= 2.0.5),
 	python3-pyftpdlib (>= 1.2.0),
 	adduser,
 	sudo,
-	gnupg,
+# >= 2.2.26 to avoid bugs #972525 #868550
+	gnupg (>= 2.2.26),
 	dirmngr,
-	reprepro (>= 5),
-	debootstrap (>= 1.0.81~),
+	reprepro (>= 5.3.0-1.4~),
+	debootstrap (>= 1.0.126+nmu1~),
+# debootstrap needs ``zstdcat`` for "newer Ubuntus"
+	zstd,
 	schroot (>= 1.6.10-3~),
 	schroot (<< 1.7),
 	sbuild (>= 0.72),
@@ -96,13 +100,15 @@
 	piuparts,
 	autopkgtest,
 	mini-buildd-doc,
-	python3-apt
+	python3-apt,
+# Make convenience list of available system's architectures available
+	arch-test
 Suggests:
 	debian-archive-keyring,
 	ubuntu-keyring,
 	haveged,
 	lvm2,
-	qemu-user-static,
+	qemu-user-static (>= 1:5.2),
 	binfmt-support,
 	btrfs-progs,
 	openssl
@@ -126,7 +132,7 @@
 	python3-mini-buildd (= ${binary:Version}),
 	python3-apt
 Recommends:
-# for apt-bootstrap (handy to parse json from shell generally)
+# for bootstrap-apt (handy to parse json from shell generally)
 	jq
 Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
 Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
