=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 %:
 	dh $@ --with=python3,sphinxdoc,bash-completion --buildsystem=pybuild
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_fixperms:
 	dh_fixperms
