## mini-buildd 1.9.114

=== debian/changelog ===
mini-buildd (1.9.114) unstable; urgency=medium

  Summary:
  * Documentation: Cleans up roadmap && admonitions
  * API: Adhere to "newer RFC" for json, allowing for a cleanup &&
    simplification using non-dict JSON results
  * Another painful "HTML iteration" (make it less ugly)

  Details:
  * [be86ab8] manual/administrator.rst: Update apt-get update stall
    phenomena hint
  * [1057224] manual/administrator.rst: Update profiling hint
  * [7ee2c76] builder.py (Uploader): Migrate ``self.failed`` to dict
  * [a7339e4] events.html (BUILDING): Display "Upload failed" warning
  * [57fd86b] events.html: Display key (as title of event row)
  * [9b691a9] events.html: Rather use 'yesno' for ongoing class
  * [34e9e32] administrator.rst: Constitute two items from atok roadmap as
    bugs ;)
  * [55ef38c] manual/roadmap.rst: Fixup "setup todo"
  * [3d23b72] manual/roadmap.rst: Move SSL bug (from roadmap) to
    Administrator's Manual && update doc
  * [5992d8a] manual/roadmap.rst: Remove mbd-off/web bug (retests show
    it's fixed now)
  * [1d8cfe5] manual/roadmap.rst: Don't use admonitions for Open Tasks &&
    Brainstorm
  * [4b02fab] manual/roadmap.rst: Drop 'debconf/make ssl default' item
    from brainstorm
  * [1fa0d66] manual/roadmap.rst: Move (to admin  manual) and update
    "ssl/squeeze" bug
  * [96da765] manual/roadmap.rst: Move RFC 5147 hint/note to (PlainFilter)
    code
  * [972045c] manual/roadmap.rst: Drop dataclasses brainstorm (not valid I
    think)
  * [8a26188] manual/roadmap.rst: Simplify django brainstorm order
  * [13443b4] manual/roadmap.rst: Update && fixup 'Open Tasks'
  * [30700bc] manual/_templates/layout.html: Make 1st line of any
    admonition be bolder (via CSS)
  * [9a9f2e9] manual/roadmap.rst: Admonitions: Downgrade all wrong "error"
    admonitions (fixes the "bug" list)
  * [21501c3] *.py, *.rst: Replace "important" admonition by "note"
  * [863e8ad] src/mini_buildd/api.py: Update debmirror bug note
  * [c227031] includes/tags/file.html: Rather use 'strong', not 'h4'
  * [93d3857] mini_buildd.css: Add standard padding for section
  * [5e2c49d] api/base.html: cli/plin menus: Make result sections
  * [a5eea00] mini_buildd.css (section, aside): Make section borders thin
    (was medium)
  * [22fb30a] api/show.html: Simplify version menu (drop "More")
  * [dda07ba] *.py (refactor): Add generic misc.json_pretty() && update
    all code
  * [6a04eaa] api/base.html: Menu: Just show json, not json or plain
  * [c5225df] mini_buildd.css (nav ul): vertical-align=top
  * [71f79e8] api.py(Command): Add with_output option for http_args(); add
    url()
  * [558e8ac] api/base.html: Add "URL" to menu
  * [2a58dd5] API(plain): Replace __PLAIN__ special key in favor of method
    inheritance
  * [9c36569] manual/roadmap.rst: Add item to test/doc remotes handling
  * [205c886] api.py (calls with plain support): Update json result to be
    list of lines, not one big string
  * [4cbdb45] api/source_header.html: Fix: Don't use shortcut var "source"
    (defined elsewhere)
  * [158b8a6] mini_buildd.css: Center 'mbd-grid-ll'
  * [ef20e05] builtins.py: Add custom helper tag: mbd_repository
  * [883e6b3] api/migrate.html: Add custom template for "migrate"
  * [b5398b2] api/remove.html: Add custom template for "remove"
  * [3c17349] api.py: Remove mixin '_Show' (no longer needed)
  * [0da3e76] builtins.py (mbd_api): Move "output" option to end
  * [73177c9] package.py: Fix "port" when no version is supplied
  * [ce81ceb] package.py (port): Refac: Rather (more consistently) use
    'to_version', not 'port_version' var name
  * [a674d8f] package.py (_port): Rather return a dict, omit unneeded
    'source' && add 'dsc_url' (API calls port, portext)
  * [d342eb1] api.py (_Plain calls): Simply use a list as json result
  * [0ec93c7] api.py (all port-like calls): Just use list (of dicts) as
    result (drop superfluous "uploaded" key)
  * [72920ff] package.py (_port): Revive "source" entry in port results
    (convenient when checking results)
  * [7fabfd2] api.py (KeyringPackages): Fixup postprocessing (after port
    result change)
  * [ac85b47] api.py (TestPackages): Fixup postprocessing (after port
    result change)
  * [7ed2358] api/port.html: Add custom template
  * [9765e3b] api/port.html: Add custom templates for all port-likes
    (portext, keyring-packages, test-packages) as link
  * [d96400d] api/port.html: Don't include generic "source header" here
  * [67e6035] port_ext.html: Fix link name
  * [745b8e7] views.py (ExceptionMiddleware.error): Rather use
    log_exception (so we see stacktrace on debug)
  * [37893b4] views.py (APIView.get): Allow non-dict JsonResponse
  * [9007aef] api.py (subscribe/unsubscribe): Simplify json result
  * [cde5816] api.py (SnapshotLs): Simlify json result
  * [9777d33] api.py (retry, cancel): Simplify json result
  * [222d14e] api.py (Debmirror): Fix typo in docs
  * [468cf45] mini_buildd.css (pre, code): Use 'break-spaces'
  * [c8a6ab1] api.py (get_plain(), plain(), json_pretty()): Refactor
  * [962da75] scripts: Where ``m-b-api`` is used together with ``jq``, use
    --json
  * [f407eb2] mini-buildd-bootstrap-apt (get_pub_key): Fixup when getting
    pub_key via wget ('__plain__' is no more)
  * [ea2d694] models/gnupg.py (Remote.mbd_prepare): No longer needed to
    call get_plain() on API results

 -- Stephan Sürken <absurd@debian.org>  Sun, 01 Jan 2023 16:36:00 +0100

mini-buildd (1.9.113) unstable; urgency=medium

  This release mainly cleans up (debconf) templates, READMEs and various
  other documentation; also changes handling of the default file (should
  appease piuparts):

  * [e4cee00] manual/administrator.rst: Add bug note about the rare "apt-
    get update build stalled" phenomena
  * [f32de6f] debian/mini-buildd.templates: Fix hint on (1.0.x)
    'Quickstart' to new administrator's manual
  * [949053c] mini-buildd.postinst: Don't mix quoting on options (' vs ")
    when writing the default file (always use ")

