## mini-buildd 1.9.115

=== debian/changelog ===
mini-buildd (1.9.115) unstable; urgency=medium

  Summary:
  * More HTML/usability updates
  * Test and document "ongoing" handling (BUILDING, PACKAGING)
  * Initial tests and improvements for new 'setup' feature

  Details:
  * [d30dc0e] dir.html: Avoid links to raw (static twisted default) dir
    index && make text links always be "Download", icon links "View"
  * [618fea6] dir.html: Add up (..) to dir index
  * [9016daf] tags/datatable.html: better doc && somewhat nicer style for
    reset workaround
  * [857c808] mini_buildd/base.html: Rather show custom menu 1st (usually
    keeps general menus on same place)
  * [086a467] repositories/index.html: Fix: Don't show table when there
    are no repos (e.g., after initial install)
  * [8293ea9] web: Simplify HomeView to just show 'Ongoing Events'
  * [81279bf] web: Simplify 'Events' && 'Builds' to not have an extra
    header and menu
  * [d71ca85] events/index.html: Consistent table id name
  * [65cfa37] events.py: Drop "ongoing" run time flag workaround (no
    longer needed)
  * [9736378] api/show.html: DSC && CHANGES: Add DSC link to base version,
    drop event links && consolidate code
  * [b5ce6ea] manual/roadmap.rst: setup: Add sub-todo
  * [70be1bf] manual(notation): Update section hierarchy to ``#*=-~``
  * [dc0b444] manual/index.rst: Simplify && re-order toctree
  * [9a1bf39] builder.py: Fix: Log ``BUILT`` event after build has
    finished (not after successful upload)
  * [f6d1068] events.py: Add per event "ongoing" template helper (enables
    'ongoing' (blinking) display in 'EventsView')
  * [6b74dcf] includes/events.html(cancel): Fix: Rather use 'ongoing'
    shortcut, not calling function again
  * [1b7bb59] includes/events.html: Add "retry" for orphaned PACKAGING as
    well
  * [543276d] manual/administrator.rst: Add section explaining the
    'ongoing handling' on restart (or lack thereof)
  * [e2907c2] manual/administrator.rst(Custom Event Hooks): Add version &&
    minor fixups
  * [9354b3b] api.py (Setup.x_or_create): Add _defaults var (handling
    None-dict arg)
  * [77eb017] api.py (Setup.x_or_create): Update obj creation/update code
    (fixes: defaults would always be set, even w/o --update)
  * [0ccff3a] api.py: Simplify code && json result
  * [36394b7] api.py (Setup.x_or_create): Another refactoring of code
    (fixes diff on --update)
  * [9d0b8eb] api/setup.html: Add initial custom API 'setup' template
  * [2c9f5ad] src/mini-buildd-backup (--restore): Rather default to "no"
    && add DANGER text before proceeding
  * [446da0a] api/port.html: Reword "Event Queue"->"Ongoing Events"

 -- Stephan Sürken <absurd@debian.org>  Fri, 06 Jan 2023 18:51:28 +0100
