## mini-buildd 1.9.116

=== debian/changelog ===
mini-buildd (1.9.116) unstable; urgency=medium

  Summary:
  * More HTML/usability updates
  * Improvements to new setup system

  Details:
  * [402dd6c] views.py: Pimp default "Events" limit to 40
  * [d8c5fe7] dist.py (Codename): Bugfix: Account for that 'release' from
    DistroInfo may be None
  * [a26c5fc] api.py (Setup.setup_repositories): Don't fail (just skip) if
    there is an existing (source) instance we have no setup for
  * [4986b0c] models/base.py (Model.mbd_diff): Add exception log when not
    comparable (this rather is a bug)
  * [d04078d] models/base.py: Better name mbd_message->mbd_msg_exception
  * [c7c71bb] models/base.py: Add mbd_msg generic function && also use for
    non-error messages
  * [a75d812] includes/messages.html: Don't show all messages directly
    (hide in <details> tag)
  * [a882e81] api.py (Setup.setup_repositories): Notation fix: Add custom
    extra_options directly
  * [b4b34ab] api.py (Setup.get_or_none): Add helper function
  * [f18044b] models/base.py (Model.mbd_diff): Allow compared obj to be
    None
  * [e38f92f] api.py (Setup.x_or_create): refactor, only change (including
    create) on --update && allow obj=None
  * [b96b40b] api.py (Setup): Some fixes to deal with obj=None
  * [6a0f3f6] models/base.py: Rather use decorators to set action
    descriptions
  * [0e88968] models/base.py: Admin actions: Fixup code order for PC, PCA
  * [b456f47] models/base.py: Update mbd_msg (django) to also log
  * [7cc6d57] models/base.py (StatusModel).Admin: Add mbd_pca() helper
  * [e882ac4] api.py (Setup.x_or_create): Add "dynamic update" support
  * [45c8047] src/mini_buildd/api.py: Add dynamic update function for
    Source
  * [3c9032a] api.py: Add dynamic update function for Distribution
  * [61dfdf5] api.py: Add dynamic update function for Repository
  * [e78fc26] api.py: Drop mbd_pca_all()
  * [204be70] api.py: Divide setup_repositories (+ *_layouts,
    *_distributions)
  * [4467744] api.py (sources, chroot, distributions): Refactor, iterate
    args (not existing instances)
  * [79db4f9] api.py(setup): Minor code cleanups
  * [4326169] api/setup.html: Show primary key in summary
  * [11e8c34] api.py (Setup.x_or_create): Add to diff when dynamic update
    fails (instead of failing)
  * [18abbb9] api.py (Setup.x_or_create): diff: If there is no existing
    instance, use kwargs as key
  * [0cb221b] api.py (Setup.setup_chroots): Don't fail if resp. Source
    cannot be found (rather add error to result)
  * [b2f2af9] api.py (Setup.setup_distributions): Don't fail if resp.
    Source does not exists
  * [281be23] builtins.py (mbd_api): Fix argument setting when called with
    command instance
  * [2ab4643] api.py (Call.*command_line): Add support to arbitrarily
    exclude options
  * [913b4c9] api.py (Setup.run): Exclude '--save' and '--update' in saved
    setup command line
  * [678e86c] api.py (Setup.Instance): Update to use Instance class
    (refactor)
  * [e2e6754] api.py (Setup): Move ``get_or_none`` helper to Base model
    ``mbd_get_or_none``
  * [71ef0e6] api.py /refac): Replace ``x_or_create`` helper by
    ``Instance.run``
  * [b7571b2] api.py (Setup.Instance): Add call instance as class variable
  * [5526347] api.py (Setup): (refac) Drop update_args
  * [2043caa] api.py (Setup): (refac) update() via inheritance
  * [14d9911] models/base.py (StatusModel): Revert action decorators back
    to monkey patching (only for django 3.2+)
  * [9115b09] devel: Add convenience profile '_debian_all'
  * [10923fb] control (mini-buildd): Drop dependency on lsb-base (now
    empty compat package only -- fixes lintian error)
  * [6b6de84] control (*-utils: Recommends): Add lsb-release (used in m-b-
    bootstrap-apt)
  * [9f97dac] devel (mbd_installdeps): Add lsb-release (used early in
    devel)
  * [d2e8ae4] api.py (Setup.Instance.__init__): Add identity &&
    identity_hash
  * [efa7dbb] api.py (Setup): Change argument '--update' from bool->str
    ("", "all", "<hash_id>,..")
  * [1a4de5d] api.py (Setup.setup_chroots): (refac) Simplify loop
  * [04559a5] models/base.py, api.py: Move Model.mbd_diff() to
    Instance.diff()
  * [4e3ce55] api.py (Setup.Instance.diff): Fix: Instantiate default
    (compare) object from kwargs as well
  * [9e15ec9] models/base.py (Model): Add helper mbd_get_fields()
    (encapsulating django's _meta.get_fields())
  * [7ff3c42] api.py (Setup.Instance.diff): Update: Diff (nearly) all
    model fields && distinguish diff against setup && (model) default
  * [0ae9e4e] api.py (Setup.Instance.__init__): Make 'defaults' non-
    optional
  * [497c0c4] models/repository|source.py: Fix get_apt_line() to feed
    AptLine only the *name* of components, not the objects themselves
  * [dff240c] models/*.py: Sync all '__str__()' of models to make them
    more consistent
  * [6aad6ac] api.py (Handshake.run): Rather run log_exception on error
    (make log-debugging possible)
  * [766137a] dist.py: SETUP: Move (suite) rollbacks into layout
  * [84b1791] models/distribution.py(SuiteOptionInline) Fix: Show
    'extra_options' (for rollback)
  * [5b7ef1a] api.py (Setup.Instance): (refac) Proper naming
    (kwargs->identifiers, defaults->options, model_class->model)
  * [72c57c9] dist.py: Replace 'needs_uname_26' by 'chroot_options'
  * [584dae5] dist.py: Update SetupSources or "identifiers, options"
  * [62cda28] models/distribution.py (Distribution.__init__): Add
    constructor to set default for "extra_options"
  * [e5499d2] dist.py: Cleanup Distribution options
  * [b315d76] dist.py: Fixup format for distribution and chroot options
  * [da44f48] dist.py (SETUP): Update, simplify and consolidate notation
  * [32bfcd5] dist.py (SETUP): Consistently add trailing newline for
    "extra_options"
  * [0094c5a] dist.py: Cleanup/simplify sbuild import
  * [7deac6f] api.py (Setup.run): Protect from being run in parallel
  * [705f963] api.py (Setup.setup_chroots): Simplify && create
    Architecture object if needed

