=== debian/control ===
--- 
+++ 
@@ -78,7 +78,6 @@
 Depends:
 	${misc:Depends},
 	${python3:Depends},
-	lsb-base (>= 3.0-6),
 	python3-mini-buildd (= ${binary:Version}),
 	python3-pyftpdlib (>= 1.2.0),
 	adduser,
@@ -133,7 +132,9 @@
 	python3-apt
 Recommends:
 # for bootstrap-apt (handy to parse json from shell generally)
-	jq
+	jq,
+# for bootstrap-apt
+	lsb-release
 Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
 Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
 Description: minimal build daemon - utilities
